import { PayloadTemplate } from '../src/types/State';
export declare class StateProcessor {
    static processInputPath(dataJson: string | undefined | null, inputPath: string | null | undefined): string;
    private static validateWaitForTokenParameters;
    private static isContextObjectPath;
    private static isPathKey;
    static processWaitForTokenParameters(dataJson: string | undefined | null, parameters: PayloadTemplate): string;
    static processResultPath(json: string, resultPath?: string): string;
    static processOutputPath(json: string, outputPath?: string): string;
}
